#line 1 "/mnt/Data/bach/Electronic/boxmod/BoxmodFirmware/src/Btn/Btn.h"
#ifndef Btn_h
#define Btn_h
#include <Arduino.h> 
class Btn {
public:
	Btn(int pin, unsigned long debounce_delay);
	void checkState();
	int getState();
	int getStateOnce();
private:
	int _pin;
	unsigned long  _debounce_delay;
	int _state;
	int _last_state;
	int _last_reading;
	unsigned long  _last_debounce_time;
};
#endif